Unit tde49r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE49R_p, DE49R_p;

function tde49r: String;

implementation

function tde49r: String;
var
M,K,IERR :Integer;
H,HMIN,XN,XK,EPS,Y3,Y1,Y2,P,HMAX :Real;
YN :Array [0..1] of Real;
DYN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
label
_200,_20;
begin
Result := '';  {   }
H := 0.01;
HMIN := 1.0E-6;
M := 2;
XN := 0.0;
XK := 5;
YN[0] := 0;
YN[1] := 0;
DYN[0] := -1.0/9.0;
DYN[1] := -3.0;
EPS := 0.001;
Y3 := (Exp(5.0)-Exp(-5.0))/3.0;
Y1 := Y3-7.0*Sin(15.0)/9.0+70.0/9.0;
Y2 := -Y3-Sin(15.0)/3.0-20.0/3.0;
P := 100.0;
HMAX := 0.05;
for K:=1 to 2 do
 begin
  DE49R(FDE49R,M,XN,YN,DYN,XK,HMIN,HMAX,EPS,P,H,Y,DY,DELTY,
       DF,RFN,RF,YP,DYP,IERR);
  Result := Result + Format('%20.16f %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [XK,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
  if ( IERR <> 0 ) 
   then goto _20;
  XK := -5.0;
  Y1 := -Y1;
  Y2 := -Y2;
  H := 0.01;
_200:
 end;
_20:
UtRes('tde49r',Result);  {     tde49r.res }
exit;
end;

end.
